/{app_slug}/v1/users/{user_id}/factorsAuthList a user's MFA factors
Path parameters
app_slug*stringSlug of the app.
user_id*stringId of the user.
Response · 200
data*arrayThe user's MFA factors.
Example
Request
GET https://api.auth.productcraft.co/{app_slug}/v1/users/{user_id}/factors
Authorization: Bearer YOUR_TOKENimport { Auth } from "@productcraft/auth";
// Admin routes read PRODUCTCRAFT_API_KEY; consumer routes need no key
const auth = new Auth();
const factorList = await auth.consumer("my-app").users.factors.list("3f0c3c1e-8a2b-4c55-9d3f-0a1b2c3d4e5f");auth.consumer(…).users.factors.list(userId, options?): Auth.FactorList
Response
{
"data": [
{
"id": "string",
"type": "totp",
"label": "string",
"enabled": false,
"created_at": "2026-01-01T00:00:00.000Z",
"enabled_at": "2026-01-01T00:00:00.000Z"
}
]
}